﻿using Microsoft.Extensions.DependencyInjection;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace KeydDI
{
    internal class Start
    {
        public static void Przykład()
        {
            ServiceCollection serviceCollection = new ServiceCollection();
            ConfigureServices(serviceCollection);
            ServiceProvider serviceProvider = serviceCollection.BuildServiceProvider();

            var service = serviceProvider.GetRequiredService<MyService>();
            service.DoSomething();
        }

        static void ConfigureServices(ServiceCollection services)
        {
            services.AddSingleton<MyService>();
        }

        class MyService
        {
            public void DoSomething()
            {
                Console.WriteLine("Serwis jest wykonywany");
            }

        }
    }

    
}
